
From: Andrew Morton <akpm@osdl.org>

Cc: Roland McGrath <roland@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/exec.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN fs/exec.c~reset-real_timer-target-on-exec-leader-change-coding-style-fixes fs/exec.c
--- devel/fs/exec.c~reset-real_timer-target-on-exec-leader-change-coding-style-fixes	2005-07-07 02:15:54.000000000 -0700
+++ devel-akpm/fs/exec.c	2005-07-07 02:15:54.000000000 -0700
@@ -650,10 +650,9 @@ static inline int de_thread(struct task_
 		 * synchronize with any firing (by calling del_timer_sync)
 		 * before we can safely let the old group leader die.
 		 */
-		sig->real_timer.data = (unsigned long) current;
-		if (del_timer_sync(&sig->real_timer)) {
+		sig->real_timer.data = (unsigned long)current;
+		if (del_timer_sync(&sig->real_timer))
 			add_timer(&sig->real_timer);
-		}
 	}
 	while (atomic_read(&sig->count) > count) {
 		sig->group_exit_task = current;
_
